package discovery

import (
	"git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow/model/util"
)

type Host struct {
	MetaIPType *meta.MetaIPType `json:"metaIPType,omitempty"`
	Name       string           `json:"name,omitempty"`
	Address    string           `json:"address,omitempty"`
	Mac        string           `json:"mac,omitempty"`

	OsType string `json:"osType,omitempty"`

	DeviceType   string `json:"deviceType,omitempty"`
	DeviceVendor string `json:"deviceVendor,omitempty"`
	DeviceModel  string `json:"deviceModel,omitempty"`

	Meta           map[string]map[string]string `json:"meta,omitempty"`
	DiscoveredBy   []string                     `json:"discoveredBy,omitempty"`
	DiscoveredDate *util.Timestamp              `json:"discoveredDate,omitempty"`

	Zone     *Zone   `json:"zone,omitempty"`
	PortList []*Port `json:"portList,omitempty"`
}
